Koozali.org formerly Contribs.org

Again vpn on 5.6U4

Zenon

Again vpn on 5.6U4
« on: June 26, 2003, 01:39:06 PM »
Hi,

To resolve the PPTP problems of the 5.6U4, is it possible to use the packages of the 6.0 version ?

byte

Re: Again vpn on 5.6U4
« Reply #1 on: June 26, 2003, 03:27:04 PM »
"There is no 6.0 version only 6.2 Beta"

Karl W. Mueller

Re: Again vpn on 5.6U4
« Reply #2 on: June 26, 2003, 03:46:59 PM »
Well, Ive been reading the e-smith phorums since V 3.1 and there has never been such a big problem as "vpn under 5.6" in the discussions.  I would suggest two alternative solutions:

If you need VPN NOW, try the IpCop V 1.3 as router in front of the e-smith server.
IpCop runs the VPN-protocoll and there is a very good howto for setting up VPN.

If you want to realize VPN with the e-smith server directly, wait for the 6.0 final.

As of my opinion its no good idea, to correct this 5.6 problem while the 6.0 is near to its final stadium.

Hope, this helps .....

Karl

Boris

Re: Again vpn on 5.6U4
« Reply #3 on: June 26, 2003, 11:33:27 PM »
>As of my opinion its no good idea, to correct this 5.6 problem while the 6.0 is near to its final stadium.

Why it is not good idea to backport the solution to SME 5.6 (if its resolved)?

SME 5.6 is great and already fixed, patched, polished in all other (then VPN) areas. All the common used contribs are updated to be compatible with it.
When Version 6.0 released, it may have its own set of initial bugs, problems, compatibility with older packages and it may take months until its safe to upgrade.
For some (or many) installations if where is no additional functional benefits of upgrade it would be very useful to backport solution to SME 5.6

Just an opinion.

Charlie Brady

Re: Again vpn on 5.6U4
« Reply #4 on: June 27, 2003, 12:06:45 AM »
Boris wrote:

> When Version 6.0 released, it may have its own set of initial
> bugs, problems, compatibility with older packages and it may
> take months until its safe to upgrade.
> For some (or many) installations if where is no additional
> functional benefits of upgrade it would be very useful to
> backport solution to SME 5.6
>
> Just an opinion.

Is this opinion backed by any testing of 6.0beta? If not, wouldn't it be a good idea if you joined the effort to test 6.0beta? There are thousands of improvements in 6.0, but we need your help to find the few things which still need fixing.

Charlie

Boris

Re: Again vpn on 5.6U4
« Reply #5 on: June 27, 2003, 02:14:49 PM »
This opinion is backed up by 18 years of experience in the IT and computer industry, following, testing and using various versions of Linux based servers and SME since version 3.1.
I do read daily this Forum, Devinfo list, and some developers forums and well aware of all the publicly available issues and solutions.  I do try to help the community whenever I can and don't bother busy developers with many questions.
Yes, I have installed and testing SME 6 beta and so far the only problems I have seen are not directly related to SME itself, but contributed add-ons, which need to be updated to fit properly to the new menu layout. Since it is not Mitel's bug I have not submitted it to Mitel. If I discover something that worth developers attention, I will submit as a bug-report to Mitel.
I am not trying to be critic or offensive, but just was stating the fact that project of this complexity as SME after major version upgrade MAY have some bugs dispute intensive testing and MAY have some issues with third party software often used to complement built-in features until they updated are to be compatible.
You don't have to be that defensive. I respect and admire your work and grateful that I can use this wonderful peace of work.